org.apache.commons.math3.optimization

## Interface BaseMultivariateSimpleBoundsOptimizer<FUNC extends MultivariateFunction>

Type Parameters:
  `FUNC` - Type of the objective function to be optimized.

All Superinterfaces:
  BaseMultivariateOptimizer<FUNC>, BaseOptimizer<PointValuePair>

All Known Implementing Classes:
  BaseAbstractMultivariateSimpleBoundsOptimizer, BOBYQAOptimizer, CMAESOptimizer

Deprecated.
As of 3.1 (to be removed in 4.0).

    @Deprecated
    public interface BaseMultivariateSimpleBoundsOptimizer<FUNC extends MultivariateFunction>
    extends BaseMultivariateOptimizer<FUNC>

This interface is mainly intended to enforce the internal coherence of Commons-FastMath. Users of the API are advised to base their code on the following interfaces:

- `MultivariateOptimizer`
- `MultivariateDifferentiableOptimizer`

Since:
  3.0
Version:
  $Id: BaseMultivariateSimpleBoundsOptimizer.java 1422230 2012-12-15 12:11:13Z erans $

### Method Summary

Methods
`PointValuePair` `optimize(int maxEval, FUNC f, GoalType goalType, double[] startPoint, double[] lowerBound, double[] upperBound)` Deprecated. Optimize an objective function.

### Methods inherited from interface org.apache.commons.math3.optimization.BaseMultivariateOptimizer

`optimize`

### Methods inherited from interface org.apache.commons.math3.optimization.BaseOptimizer

`getConvergenceChecker, getEvaluations, getMaxEvaluations`

### Method Detail

#### optimize

    PointValuePair optimize(int maxEval,
                          FUNC f,
                          GoalType goalType,
                          double[] startPoint,
                          double[] lowerBound,
                          double[] upperBound)

Deprecated.
Optimize an objective function.

Parameters:
  `f` - Objective function.
  `goalType` - Type of optimization goal: either `GoalType.MAXIMIZE` or `GoalType.MINIMIZE`.
  `startPoint` - Start point for optimization.
  `maxEval` - Maximum number of function evaluations.
  `lowerBound` - Lower bound for each of the parameters.
  `upperBound` - Upper bound for each of the parameters.
Returns:
  the point/value pair giving the optimal value for objective function.
Throws:
  `DimensionMismatchException` - if the array sizes are wrong.
  `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
  `NullArgumentException` - if `f`, `goalType` or `startPoint` is `null`.
  `NumberIsTooSmallException` - if any of the initial values is less than its lower bound.
  `NumberIsTooLargeException` - if any of the initial values is greater than its upper bound.